Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 23 Mar 2023 09:01:23 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Utterly appalled at the attitude of the staff in your Muscat City Centre store.

We went to collect an online order, whilst waiting we looked at the soft toys in the display stand of the same type we were collecting - many were dirty and missing their tags. I have photographs to show this. Due to this when the item was brought in the sealed packet, I opened it to check it. To our disappointment our item too was dirty, missing the tag and had damage to the tail. As such we told the cashier we were not accepting it and requested a refund to the original payment method. Again I have photographs.

At this point she called over someone named Jamil. He said he would not refund the card offering a credit note. This was not acceptable as given the state of the rest of the toys mentioned above - dirty and missing tags - we did not want to purchase anything in the store.

He then told us if we wanted our money back we could fill in forms and they would be sent to online who would contact us at some indeterminate point in the future to give us our money back. This too was not acceptable. 

The store manager and finance manager were informed that we wanted a refund to the original payment method. Neither of these individuals deemed us worth their time or effort to speak to in person stating we could take the credit note or fill in the  form.

In addition at one point during the interaction, I spoke to Jamil and he completely ignored me only looking and talking to my husband. 

This is an absolutely outrageous way to treat customers.

Your policy does not put customers first, and is in stark contrast to other online shopping experiences such as home center, Amazon ae and next who immediately refund to the original payment method, all of whom are your direct competition and who will get our future custom at your expense

In the end we were issued a credit note which I tore up  in disgust at the way we had been treated which will admittedly save you 3.640 OMR but cost you any future custom from us. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5913256